
from nerus.path import (
    join_path,
    get_dir
)
from nerus.const import GAREEV_DIR
from nerus.span import Span
from nerus.sources.gareev import (
    GareevMarkup,
    GareevSource
)


DATA_DIR = join_path(get_dir(__file__), 'data')
ETALON = [
    GareevMarkup(text='МОСКВА , 21 июня . / БИЗНЕС-ТАСС / . Группа НЛМК заняла второе место в рейтинге 35 наиболее конкурентоспособных сталелитейных компаний мира . Рейтинг составлялся World Steel Dynamics , ведущей международной исследовательской компанией , на основе оценки 23 параметров , включая расширение мощностей , близость к растущим рынкам сбыта и покупателям , производство продукции с высокой добавленной стоимостью , рентабельность , технологические инновации и другие . Об этом говорится в сообщении НЛМК . World Steel Dynamics высоко оценил такие преимущества НЛМК как низкие производственная себестоимость , самообеспеченность сырьем , высокие финансовые показатели , близость к рынкам сбыта , ценовая политика , деятельность компании в области социальной и экологической ответственности и безопасности труда . В рейтинге World Steel Dynamics НЛМК с 2007 года занимает стабильные позиции среди 6 крупнейших мировых металлургических компаний по уровню конкурентоспособности . Компания World Steel Dynamics является одним из авторитетных исследовательских центров в области металлургии и мировым лидером в области информационных продуктов , отражающих развитие черной металлургии в мире . Сотрудники WSD регулярно анализируют и публикуют исследования мировых цен на металлопрокат , всех составляющих производственных затрат в черной металлургии , факторов , определяющих спрос и предложение на стальном рынке , а также исследования финансовых показателей компаний-производителей стали в мире . В фокусе WSD постоянно находятся стратегические для черной металлургии вопросы . Сотрудники фирмы регулярно участвуют в специализированных исследованиях , проводимых в интересах различных заказчиков , предоставляют частные консультации , осуществляют консультационные услуги по вопросам инвестиций в ценные бумаги компаний черной металлургии . НЛМК – международная вертикально интегрированная металлургическая компания . Предприятия НЛМК расположены в России , Европе и США . Мощности по производству жидкой стали компании превышают 15 млн тонн в год . Выручка НЛМК в 2011 году составила 11,7 млрд долларов , рентабельность по показателю EBITDA составила 19,5 проц . Акции НЛМК торгуются в России на фондовой площадке РТС-ММВБ , а также в форме глобальных депозитарных акций на Лондонской фондовой бирже .', spans=[Span(start=21, stop=32, type='ORG'), Span(start=44, stop=48, type='ORG'), Span(start=162, stop=182, type='ORG'), Span(start=492, stop=496, type='ORG'), Span(start=499, stop=519, type='ORG'), Span(start=553, stop=557, type='ORG'), Span(start=816, stop=836, type='ORG'), Span(start=837, stop=841, type='ORG'), Span(start=978, stop=998, type='ORG'), Span(start=1192, stop=1195, type='ORG'), Span(start=1495, stop=1498, type='ORG'), Span(start=1830, stop=1834, type='ORG'), Span(start=1919, stop=1923, type='ORG'), Span(start=2047, stop=2051, type='ORG'), Span(start=2159, stop=2163, type='ORG'), Span(start=2204, stop=2212, type='ORG'), Span(start=2264, stop=2289, type='ORG')])
]


def test_load():
    dir = join_path(DATA_DIR, GAREEV_DIR)
    guess = list(GareevSource.load(dir))
    assert guess == ETALON
